d = [ 2.5, 1.7, 1.8, 2.5, 1.8, 1.4 ];
f = 90; % USD per case per 1000 miles
c = f*d/1000; % transport costs in 1000 USD per case
supp = [ 325; 575 ];
dmnd = [ 325; 300; 275];
S_x = [ 1 1 1 0 0 0;
        0 0 0 1 1 1 ];
D_x = [ 1 0 0 1 0 0;
        0 1 0 0 1 0;
        0 0 1 0 0 1 ];

n = length(d);
cvx_begin;
    variable x(n)
    minimize(c*x)
    subject to
        S_x * x <= supp
        D_x * x >= dmnd
        x >= 0
cvx_end;

x_mat = [ x(1:3)' ; x(4:6)' ];
supply = S_x * x;
demand = D_x * x;

x_mat
supply
demand